Subject: bug#24395: auto-revert-remote-files freezes emacs (Windows 64-bit)

From: Andreas Nilsson <[email-masked]>
Date: Fri, 9 Sep 2016 18:42:33 +0200

The freeze happens for example when opening files using Tramp+plink in 
Dired. Tested Emacs 24.5 and 25.0.94.2 (64-bit precompiled for Windows).

Regarding auto-revert-mode: Yes I have global-auto-revert-mode set to t.

"runemacs.exe -Q" makes this variable (auto-revert-remote-files) not 
show up with customize-variable.

I reproduce this bug by going into Dired+Tramp+plink and select file 
after file doing C-o for each one, Emacs eventually hangs.

Kind regards,
Andreas

Den 2016-09-09 kl. 09:55, skrev Michael Albinus:
> Andreas Nilsson <[email-masked]> writes:
>
> Hi Andreas,
>
>> This happens for me on two different computers, Windows 10 and Windows
>> 8.1. I don’t know what more info to provide than “it happens”, I can
>> provide stacktraces on some scenarios but not on all since C-g doesn’t
>> work all the time.
> Could you, please, provide more details? Which Emacs version are you
> using?
>
> Is it reproducible? In case of yes, do you have a recipe that we
> could reproduce it? Do you apply auto-revert-mode on buffers related to
> remote files?
>
> Does it also happen when you start "emacs -Q", that means with out
> evaluating your .emacs or init.el file?
>
> Thanks, and best regards, Michael.